Subject: bug#35550: Installer: wpa_supplicant fails to start

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 4 May 2019 16:07:54 +0200

On Sat, May 04, 2019 at 02:49:55PM +0200, Ludovic Courtès wrote:
> Hi,
> 
> [email-masked] skribis:
> 
> > In my case, "wpa-supplicant" would *always* fail to start (I rebooted and tried the graphical installer around 4 times).
> 
> Could you check whether the sequence of events in /var/log/messages
> always looks like the snippet I showed?
> 

So for me it sometimes fails on two different machines.  Actually it
started failing four times in a row now that I test this.

When it fails, I also get

On Fri, May 03, 2019 at 09:31:40PM +0200, Ludovic Courtès wrote:
> 680 May  3 16:03:40 localhost wpa_supplicant[398]: Successfully initialized wpa_supplicant
> 681 May  3 16:03:40 localhost shepherd[1]: Service wpa-supplicant could not be started.
> 682 May  3 16:03:40 localhost shepherd[1]: Service networking depends on wpa-supplicant.
> 683 May  3 16:03:40 localhost shepherd[1]: Service networking could not be started.
> 684 May  3 16:03:40 localhost wpa_supplicant[400]: dbus: Could not request service name: already registered
> 685 May  3 16:03:40 localhost wpa_supplicant[400]: Failed to initialize wpa_supplicant
> 686 May  3 16:03:45 localhost shepherd[1]: Service wpa-supplicant could not be started.

> Could you also:
> 
>   1. Let the installation image boot;
> 
>   2. Confirm with ‘herd status wpa-supplicant’ that the ‘wpa-supplicant’
>      service is marked as stopped (failed to start);
>

$ herd status wpa-supplicant
Status of wpa-supplicant:
  It is stopped.
  It is enabled.
  Provides (wpa-supplicant).
  Requires (user-processes dbus-system loopback syslogd).
  Conflicts with ().
  Will be respawned.

>   3. Show the contents /var/run/wpa_supplicant.pid, and check whether
>      they correspond to the PID of a running ‘wpa_supplicant’ process.
>

There is no such file.

Regards,
Florian